The Natron Baxter standard for using PHP CodeSniffer
Switch branches/tags
Nothing to show
Fetching latest commit…
Cannot retrieve the latest commit at this time.
Permalink
Failed to load latest commit information.
README.markdown
ruleset.xml

README.markdown

Natron Baxter coding standards for PHP_CodeSniffer

This is the set of sniffs is used with PHP_CodeSniffer. It requires at least version 1.3.0 of PHP_CodeSniffer.

Installation and Usage

  • Install PHP_CodeSniffer with pear install PHP_CodeSniffer.
  • Install the Elgg CodeSniffer Standard.
  • Checkout this repository as NatronBaxter into the PHP/CodeSniffer/Standards directory.
  • Use the coding standard with phpcs --standard=NatronBaxter.
  • Alternatively set it as the default coding standard with phpcs --config-set default_standard=NatronBaxter